Eclipse PDE Release 3.7

## org.eclipse.pde.ui
Interface IProvisionerWizard

All Superinterfaces:
  IBasePluginWizard, IWizard

    public interface IProvisionerWizard

extends IBasePluginWizard

This interface represents a wizard which will be used to add plug-ins to the Target Platform. Typically, it maps to one wizard page, but more complex sections may span several pages. Also note that in the very simple cases it may not contribute any wizard pages.

Since:
  3.3
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`File[]` `getLocations()` Returns an array of locations which contain plug-ins to be added to the Target Platform.

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, performFinish, setContainer`

Method Detail

### getLocations

    File[] getLocations()

  Returns an array of locations which contain plug-ins to be added to the Target Platform. If a location contains a "plugins" subdirectory, the subdirectory will be searched for plug-ins. Otherwise, the location itself will be searched for new plug-ins.

  Returns:
    an array of Files which represent the locations to search for new plug-ins.

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.